import requests
import json
字体颜色 = {
    "RED": "\033[91m",
    "GREEN": "\033[92m",
    "YELLOW": "\033[93m",
    "BLUE": "\033[94m",
    "MAGENTA": "\033[95m",
    "CYAN": "\033[96m",
    "WHITE": "\033[97m",
    "RESET": "\033[0m"
}
def print_color(text, color):
    print(f"{字体颜色[color]}{text}{字体颜色['RESET']}")
def input_color(text, color):
    return input(f"{字体颜色[color]}{text}{字体颜色['RESET']}")
def 主函数搜索(搜索内容):
    url = f"https://api.pearktrue.cn/api/aisearch/?keyword={搜索内容}"   
    try:
        response = requests.get(url)
        if response.status_code == 200:
            data = response.json()
            if data.get("code") == 200:
                print_color(f"搜索关键词: {搜索内容}", "BLUE")
                print_color("\n搜索内容:", "GREEN")
                print_color(data.get("data", {}).get("text", "没有找到相关信息。"), "WHITE")
            else:
                print_color(f"错误: {data.get('msg')}", "RED")
        else:
            print_color(f"请求失败，状态码: {response.status_code}", "YELLOW")
    except Exception as e:
        print_color(f"请求过程中发生错误: {e}", "MAGENTA")
if __name__ == "__main__":
    搜索内容 = input_color("请输入要搜索的内容: ", "WHITE")
    if 搜索内容:
        主函数搜索(搜索内容)
    else:
        print_color("关键词不能为空，请重新运行程序并输入有效的关键词。", "CYAN")
